<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/content_add_person"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:paddingBottom="@dimen/activity_vertical_margin"
    android:paddingLeft="@dimen/activity_horizontal_margin"
    android:paddingRight="@dimen/activity_horizontal_margin"
    android:paddingTop="@dimen/activity_vertical_margin"
    app:layout_behavior="@string/appbar_scrolling_view_behavior"
    tools:context="com.example.lenovo.addressbook.AddPerson"
    tools:showIn="@layout/activity_add_person">

    <EditText
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:id="@+id/name"
        android:layout_alignParentTop="true"
        android:layout_alignParentLeft="true"
        android:layout_alignParentStart="true"
        android:layout_marginTop="58dp"
        android:hint="姓名"
        android:inputType="text"
        android:singleLine="true" />

    <EditText
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:id="@+id/phone"
        android:layout_below="@+id/name"
        android:layout_centerHorizontal="true"
        android:hint="电话"
        android:inputType="phone" />

    <EditText
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:id="@+id/email"
        android:layout_below="@+id/phone"
        android:layout_centerHorizontal="true"
        android:hint="邮箱"
        android:inputType="textEmailAddress" />

    <EditText
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:id="@+id/weixin"
        android:layout_below="@+id/email"
        android:layout_centerHorizontal="true"
        android:hint="微信"
        android:inputType="text" />

    <EditText
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:id="@+id/qq"
        android:layout_below="@+id/weixin"
        android:layout_centerHorizontal="true"
        android:hint=" QQ "
        android:inputType="number" />

    <EditText
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:id="@+id/organization"
        android:layout_below="@+id/qq"
        android:layout_centerHorizontal="true"
        android:hint="单位"
        android:inputType="text"/>

    <EditText
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:id="@+id/address"
        android:layout_below="@+id/organization"
        android:layout_centerHorizontal="true"
        android:hint="地址"
        android:inputType="text" />

    <TextView
        android:layout_width="46sp"
        android:layout_height="wrap_content"
        android:text="颜色"
        android:id="@+id/color"
        android:textSize="18sp"
        android:layout_alignTop="@+id/colorButton"
        android:layout_alignParentLeft="true"
        android:layout_alignParentStart="true"
        android:layout_alignBottom="@+id/colorButton"
        android:textAlignment="center"
        android:paddingTop="10sp"
        android:textColor="#ff0000" />

    <Button
        android:layout_width="200sp"
        android:layout_height="wrap_content"
        android:text="选取颜色"
        android:id="@+id/colorButton"
        android:layout_below="@+id/address"
        android:layout_alignRight="@+id/address"
        android:layout_alignEnd="@+id/address"
        android:background="#ff0000" />

</RelativeLayout>
